Schema "fpml-msg-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 8648 $

Defined Components:

  5 global elements, 50 local elements, 35 complexTypes, 12 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\reporting\fpml-msg-5-3.xsd; see XML source

Imports Schema:

  xmldsig-core-schema.xsd [src]

Includes Schema:

  fpml-doc-5-3.xsd [src]

Included in Schemas (4):

  fpml-business-events-5-3.xsd [src], fpml-credit-event-notification-5-3.xsd [src], fpml-reconciliation-5-3.xsd [src], fpml-valuation-5-3.xsd [src]

Annotation
Event Status messages.

All Element Summary
additionalData (defined in Exception.model group) | Any string of additional data that may help the message processor, for example in a rejection message this might contain a code value or the text of the original request (within a CDATA section).
Type: | AdditionalData
Content: | complex, 5 elements
Defined: | locally witnin Exception.model group; see XML source
additionalData (defined in Reason complexType) | Any string of additional data that may help the message processor, for example in a rejection message this might contain a code value or the text of any one of the messages (within a CDATA section).
Type: | AdditionalData
Content: | complex, 5 elements
Defined: | locally witnin Reason complexType; see XML source
base64Binary (defined in AdditionalData complexType) | Provides extra information as binary contents coded in base64.
Type: | xsd:base64Binary
Content: | simple
Defined: | locally witnin AdditionalData complexType; see XML source
businessProcess |
Type: | BusinessProcess
Content: | simple, 1 attribute
Defined: | locally witnin RequestEventStatus complexType; see XML source
copyTo | A unique identifier (within the specified coding scheme) giving the details of some party to whom a copy of this message will be sent for reference.
Type: | MessageAddress
Content: | simple, 1 attribute
Defined: | locally witnin MessageHeader.model group; see XML source
correlationId | A qualified identifier used to correlate between messages
Type: | CorrelationId
Content: | simple, 1 attribute
Defined: | locally witnin CorrelationId.model group; see XML source
creationTimestamp | The date and time (on the source system) when this message instance was created.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin MessageHeader.model group; see XML source
description (defined in Reason complexType) | Plain English text describing the associated error condition
Type: | xsd:string
Content: | simple
Defined: | locally witnin Reason complexType; see XML source
eventIdentifier (in requestEventStatus) |
Type: | EventIdentifier
Content: | complex, 3 elements
Defined: | locally witnin RequestEventStatus complexType; see XML source
eventIdentifier (in statusItem) | An instance of a unique event identifier.
Type: | EventIdentifier
Content: | complex, 3 elements
Defined: | locally witnin EventStatusItem complexType; see XML source
eventStatusException |
Type: | Exception
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never
eventStatusResponse |
Type: | EventStatusResponse
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
expiryTimestamp | The date and time (on the source system) when this message instance will be considered expired.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin MessageHeader.model group; see XML source
header (defined in Exception complexType) |
Type: | ExceptionMessageHeader
Content: | complex, 9 elements
Defined: | locally witnin Exception complexType; see XML source
header (defined in NotificationMessage complexType) |
Type: | NotificationMessageHeader
Content: | complex, 9 elements
Defined: | locally witnin NotificationMessage complexType; see XML source
header (defined in RequestMessage complexType) |
Type: | RequestMessageHeader
Content: | complex, 8 elements
Defined: | locally witnin RequestMessage complexType; see XML source
header (defined in ResponseMessage complexType) |
Type: | ResponseMessageHeader
Content: | complex, 9 elements
Defined: | locally witnin ResponseMessage complexType; see XML source
hexadecimalBinary (defined in AdditionalData complexType) | Provides extra information as binary contents coded in hexadecimal.
Type: | xsd:hexBinary
Content: | simple
Defined: | locally witnin AdditionalData complexType; see XML source
inReplyTo (in header defined in Exception complexType) | A copy of the unique message identifier (within it own coding scheme) to which this message is responding.
Type: | MessageId
Content: | simple, 1 attribute
Defined: | locally witnin ExceptionMessageHeader complexType; see XML source
inReplyTo (in header defined in NotificationMessage complexType) | A copy of the unique message identifier (within it own coding scheme) to which this message is responding.
Type: | MessageId
Content: | simple, 1 attribute
Defined: | locally witnin NotificationMessageHeader complexType; see XML source
inReplyTo (in header defined in ResponseMessage complexType) | A copy of the unique message identifier (within it own coding scheme) to which this message is responding.
Type: | MessageId
Content: | simple, 1 attribute
Defined: | locally witnin ResponseMessageHeader complexType; see XML source
isCorrection (defined in CorrectableRequestMessage complexType) | Indicates if this message corrects an earlier request.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CorrectableRequestMessage complexType; see XML source
location (defined in Reason complexType) | A value indicating the location of the problem within the subject message.
Type: | ProblemLocation
Content: | simple, 1 attribute
Defined: | locally witnin Reason complexType; see XML source
messageId | A unique identifier (within its coding scheme) assigned to the message by its creating party.
Type: | MessageId
Content: | simple, 1 attribute
Defined: | locally witnin MessageHeader complexType; see XML source
messageRejected | The root element used for rejected message exceptions
Type: | Exception
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never
mimeType (defined in AdditionalData complexType) | Indicates the type of media used to provide the extra information. mimeType is used to determine the software product(s) that can read the content.
Type: | MimeType
Content: | simple, 1 attribute
Defined: | locally witnin AdditionalData complexType; see XML source
numberOfSections | A numeric value, optionally supplied by the sender, that can be used to specify the number of sections constituting a report.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin ReportIdentification complexType; see XML source
originalMessage (defined in Acknowledgement complexType) |
Type: | UnprocessedElementWrapper
Content: | complex, elem. wildcard
Defined: | locally witnin Acknowledgement complexType; see XML source
originalMessage (defined in AdditionalData complexType) | Provides extra information as binary contents coded in base64.
Type: | anonymous complexType
Content: | complex, elem. wildcard
Defined: | locally witnin AdditionalData complexType; see XML source
Includes: | definition of elem. wildcard
parentCorrelationId | An optional identifier used to correlate between related processes
Type: | CorrelationId
Content: | simple, 1 attribute
Defined: | locally witnin Correlation.model group; see XML source
partyMessageInformation | Additional message information that may be provided by each involved party.
Type: | PartyMessageInformation
Content: | complex, 1 element
Defined: | locally witnin MessageHeader.model group; see XML source
partyReference (in partyMessageInformation) | Identifies that party that has ownership of this information.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin PartyMessageInformation complexType; see XML source
portfolioName (defined in PortfolioReferenceBase complexType) | An identifier that is unique for each portfolio-level request, and which can be used to group together the individual messages in the portfolio request.
Type: | PortfolioName
Content: | simple, 2 attributes
Defined: | locally witnin PortfolioReferenceBase complexType; see XML source
portfolioReference (defined in PortfolioReference.model group) |
Type: | PortfolioReference
Content: | complex, 3 elements
Defined: | locally witnin PortfolioReference.model group; see XML source
portfolioReference (defined in PortfolioReferenceBase.model group) |
Type: | PortfolioReferenceBase
Content: | complex, 1 element
Defined: | locally witnin PortfolioReferenceBase.model group; see XML source
portfolioReference (in requestRetransmission) |
Type: | PortfolioConstituentReference
Content: | complex, 2 elements
Defined: | locally witnin PortfolioConstituentReference.model group; see XML source
reason (defined in Exception.model group) | An instance of the Reason type used to record the nature of any errors associated with a message.
Type: | Reason
Content: | complex, 5 elements
Defined: | locally witnin Exception.model group; see XML source
reasonCode (defined in Reason complexType) | A machine interpretable error code.
Type: | ReasonCode
Content: | simple, 1 attribute
Defined: | locally witnin Reason complexType; see XML source
reportId | An identifier for the specific instance of this report.
Type: | ReportId
Content: | simple, 1 attribute
Defined: | locally witnin ReportSectionIdentification complexType; see XML source
reportIdentification (in requestRetransmission) |
Type: | ReportSectionIdentification
Content: | complex, 2 elements
Defined: | locally witnin ReportSectionIdentification.model group; see XML source
requestEventStatus |
Type: | RequestEventStatus
Content: | complex, 3 attributes, 10 elements
Defined: | globally; see XML source
Used: | never
requestRetransmission |
Type: | RequestRetransmission
Content: | complex, 3 attributes, 10 elements
Defined: | globally; see XML source
Used: | never
sectionNumber | A strictly ascending sequential (gapless) numeric value that can be used to identify the section of a report.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin ReportSectionIdentification complexType; see XML source
sendTo | A unique identifier (within its coding scheme) indicating an intended recipent of a message.
Type: | MessageAddress
Content: | simple, 1 attribute
Defined: | locally witnin MessageHeader.model group; see XML source
sentBy | The unique identifier (within its coding scheme) for the originator of a message instance.
Type: | MessageAddress
Content: | simple, 1 attribute
Defined: | locally witnin MessageHeader.model group; see XML source
sequenceNumber (defined in Sequence.model group) | A numeric value that can be used to order messages with the same correlation identifier from the same sender.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin Sequence.model group; see XML source
sequenceNumber (in portfolioReference defined in PortfolioReference.model group) | A numeric, sequentially ascending (i.e. gapless) value (starting at 1) that can be used to identify and distinguish the individual constituents of a portfolio request.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin PortfolioReference complexType; see XML source
sequenceNumber (in portfolioReference in requestRetransmission) | A numeric, sequentially ascending (i.e. gapless) value (starting at 1) that can be used to identify and distinguish the individual constituents of a portfolio request.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin PortfolioConstituentReference complexType; see XML source
status (in statusItem) | An event status value.
Type: | EventStatus
Content: | simple, 1 attribute
Defined: | locally witnin EventStatusItem complexType; see XML source
statusItem |
Type: | EventStatusItem
Content: | complex, 2 elements
Defined: | locally witnin EventStatusResponse complexType; see XML source
string (defined in AdditionalData complexType) | Provides extra information as string.
Type: | xsd:string
Content: | simple
Defined: | locally witnin AdditionalData complexType; see XML source
submissionsComplete (in portfolioReference defined in PortfolioReference.model group) | Indicates whether all individual requests have been submitted for this portfolio request.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PortfolioReference complexType; see XML source
submissionsComplete (in reportIdentification in valuationReport) | Indicates whether all sections have been sent for this report instance ID.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ReportIdentification complexType; see XML source
tradeIdentifier (defined in EventIdentifier complexType) |
Type: | TradeIdentifier
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin EventIdentifier complexType; see XML source
validationRuleId | A reference identifying a rule within a validation scheme
Type: | Validation
Content: | simple, 1 attribute
Defined: | locally witnin Reason complexType; see XML source

Complex Type Summary
Acknowledgement |
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 12 locations
AdditionalData | Provides extra information not represented in the model that may be useful in processing the message i.e. diagnosing the reason for failure.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations
BusinessProcess | A type that can be used to identify the type of business process in a request.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CorrectableRequestMessage | A type defining the content model for a request message that can be subsequently corrected or retracted.
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 7 locations
CorrelationId | A type defining a correlation identifier and qualifying scheme
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
EventIdentifier | Identification of a business event, for example through its correlation id or a business identifier.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
EventStatus | A coding scheme used to describe the matching/confirmation status of a trade, post-trade event, position, or cash flows.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
EventStatusItem | A type used in event status enquiry messages which relates an event identifier to its current status value.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
EventStatusResponse | A type defining the content model for a message normally generated in response to a requestEventStatus request.
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
Exception | A type defining the basic content for a message sent to inform another system that some exception has been detected.
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 14 locations
ExceptionMessageHeader | A type defining the content model for an exception message header.
Content: | complex, 9 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
Message | A type defining the basic structure of all FpML messages which is refined by its derived types.
Content: | empty, 3 attributes
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 4 locations
MessageAddress | The data type used for identifying a message address.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
MessageHeader | A type defining the content model for a generic message header that is refined by its derived classes.
Content: | complex, 1 element
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 4 locations
MessageId | The data type use for message identifiers.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 4 locations
NonCorrectableRequestMessage | A type defining the content model for a request message that cannot be subsequently corrected or retracted.
Content: | complex, 3 attributes, 6 elements
Defined: | globally; see XML source
Used: | at 10 locations
NotificationMessage | A type defining the basic content for a message sent to inform another system that some 'business event' has occured.
Content: | complex, 3 attributes, 6 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 12 locations
NotificationMessageHeader | A type that refines the generic message header to match the requirements of a NotificationMessage.
Content: | complex, 9 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
PartyMessageInformation | A type defining additional information that may be recorded against a message.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
PortfolioConstituentReference | A structure used to group together individual messages that can be acted on at a group level.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
PortfolioReference | A structure used to group together individual messages that can be acted on at a group level.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
PortfolioReferenceBase | A structure used to identify a portfolio in a message.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 3 locations
ProblemLocation | Provides a lexical location (i.e. a line number and character for bad XML) or an XPath location (i.e. place to identify the bad location for valid XML).
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
Reason | A type defining a content model for describing the nature and possible location of a error within a previous message.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations
ReasonCode | Defines a list of machine interpretable error codes.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ReportId | A type that can be used to hold an identifier for a report instance.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ReportIdentification | A type that allows the specific report and section to be identified.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ReportSectionIdentification | A type that allows the specific report and section to be identified.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
RequestEventStatus | A type defining the content model for a message allowing one party to query the status of one event (trade or post-trade event) previously sent to another party.
Content: | complex, 3 attributes, 10 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
RequestMessage | A type defining the basic content of a message that requests the receiver to perform some business operation determined by the message type and its content.
Content: | complex, 3 attributes, 2 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 4 locations
RequestMessageHeader | A type refining the generic message header content to make it specific to request messages.
Content: | complex, 8 elements
Defined: | globally; see XML source
Used: | at 1 location
RequestRetransmission | A message to request that a message be retransmitted.
Content: | complex, 3 attributes, 10 elements
Defined: | globally; see XML source
Used: | at 1 location
ResponseMessage | A type refining the generic message content model to make it specific to response messages.
Content: | complex, 3 attributes, 6 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 12 locations
ResponseMessageHeader | A type refining the generic message header to make it specific to response messages.
Content: | complex, 9 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
UnprocessedElementWrapper | A type holding a structure that is unvalidated
Content: | complex, elem. wildcard
Defined: | globally; see XML source
Includes: | definition of elem. wildcard
Used: | at 1 location

Element Group Summary
Correlation.model | A model group defining the elements used for process correlation.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
CorrelationAndOptionalSequence.model | A model group defining the full messsage correlation mechanism, but with optional sequence.
Content: | 3 elements
Defined: | globally; see XML source
Used: | at 3 locations
CorrelationAndSequence.model | A model group defining the full messsage correlation mechanism.
Content: | 3 elements
Defined: | globally; see XML source
Used: | at 2 locations
CorrelationId.model | A model group defining the element used for process correlation.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
Exception.model | A model group which has exception elements.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
MessageHeader.model | Defines the structure that contains routing and identification information, which allows processing and transfer of the message.
Content: | 7 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 4 locations
PortfolioConstituentReference.model | Defines a model group that allows a constituent of a portfolio to be included in a request retransmission message.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
PortfolioReference.model | Defines a model group that allows a portfolio reference request structure to be included in a message.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
PortfolioReferenceBase.model | Defines a model group that allows a portfolio to be identified in a response message.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
PortfolioReferenceOrReportIdentification.model | Defines a model group that allows either details of a portoflio constituent or report constituent to be provided.
Content: | 2 elements
Defined: | globally; see XML source
Used: | at 1 location
ReportSectionIdentification.model | Defines a model group that allows a chunck of a report to be included in a request retransmission message.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
Sequence.model | A model group defining the element used for message sequencing
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 3 locations

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 8648 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="xmldsig-core-schema.xsd"/> <xsd:include schemaLocation="fpml-doc-5-3.xsd"/> <xsd:complexType name="Acknowledgement"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="originalMessage" type="UnprocessedElementWrapper"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="AdditionalData"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides extra information not represented in the model that may be useful in processing the message i.e. diagnosing the reason for failure. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="mimeType" type="MimeType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates the type of media used to provide the extra information. mimeType is used to determine the software product(s) that can read the content. MIME Types are described in RFC 2046. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:element minOccurs="0" name="string" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides extra information as string. In case the extra information is in XML format, a CDATA section must be placed around the source message to prevent its interpretation as XML content. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="hexadecimalBinary" type="xsd:hexBinary"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides extra information as binary contents coded in hexadecimal. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="base64Binary" type="xsd:base64Binary"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides extra information as binary contents coded in base64. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="originalMessage"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides extra information as binary contents coded in base64. </xsd:documentation> </xsd:annotation> <xsd:complexType> <xsd:sequence> <xsd:any processContents="skip"/> </xsd:sequence> </xsd:complexType> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CorrectableRequestMessage"> <xsd:annotation> <xsd:documentation> A type defining the content model for a request message that can be subsequently corrected or retracted. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="RequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="isCorrection" type="xsd:boolean"> <xsd:annotation> <xsd:documentation> Indicates if this message corrects an earlier request. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="CorrelationAndSequence.model"> <xsd:annotation> <xsd:documentation> This provides a mechanism for the requester to assign an ID that can be used for subsequent corrections and retractions, without requiring any acknowledgement or reply from the message recipient. The FpML architecture recommends that services support this feature, because otherwise requesters cannot correct or retract requests until they receive a reply from the service. If the correlation ID is not supplied by the requester, the recipient should provide a correlation ID in its response, which the requester should retain in case subsequent corrections or retractions are required. In this case, the "inReplyTo" element in the message header may be used to link the response to the request. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:group minOccurs="0" ref="OnBehalfOf.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CorrelationId"> <xsd:annotation> <xsd:documentation> A type defining a correlation identifier and qualifying scheme </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="xsd:normalizedString"> <xsd:attribute name="correlationIdScheme" type="xsd:anyURI" use="required"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="EventIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identification of a business event, for example through its correlation id or a business identifier. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:group ref="CorrelationId.model"/> <xsd:group fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="Event requests should be for the whole workflow, not a specific message" minOccurs="0" ref="Sequence.model"/> </xsd:sequence> <xsd:element minOccurs="0" name="tradeIdentifier" type="TradeIdentifier"/> </xsd:choice> <!-- Lyteck 9/16/11 added choice with tradeIdentifier per BPWG action item 9/02/11 --> </xsd:complexType> <xsd:complexType name="EventStatus"> <xsd:annotation> <xsd:documentation xml:lang="en"> A coding scheme used to describe the matching/confirmation status of a trade, post-trade event, position, or cash flows. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/event-status" name="eventStatusScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="EventStatusItem"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used in event status enquiry messages which relates an event identifier to its current status value. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="eventIdentifier" type="EventIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en">An instance of a unique event identifier.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="status" type="EventStatus"> <xsd:annotation> <xsd:documentation xml:lang="en">An event status value.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="EventStatusResponse"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the content model for a message normally generated in response to a requestEventStatus request. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="statusItem" type="EventStatusItem"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="Exception"> <xsd:annotation> <xsd:documentation> A type defining the basic content for a message sent to inform another system that some exception has been detected. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Message"> <xsd:sequence> <xsd:element minOccurs="0" name="header" type="ExceptionMessageHeader"/> <xsd:group ref="Validation.model"/> <xsd:group minOccurs="0" ref="CorrelationAndOptionalSequence.model"/> <xsd:group ref="Exception.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ExceptionMessageHeader"> <xsd:annotation> <xsd:documentation> A type defining the content model for an exception message header. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="MessageHeader"> <xsd:sequence> <xsd:element minOccurs="0" name="inReplyTo" type="MessageId"> <xsd:annotation> <xsd:documentation> A copy of the unique message identifier (within it own coding scheme) to which this message is responding. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="MessageHeader.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="Message"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the basic structure of all FpML messages which is refined by its derived types. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Document"/> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="UnprocessedElementWrapper"> <xsd:annotation> <xsd:documentation xml:lang="en">A type holding a structure that is unvalidated</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:any processContents="skip"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="MessageAddress"> <xsd:annotation> <xsd:documentation xml:lang="en"> The data type used for identifying a message address. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="messageAddressScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType abstract="true" name="MessageHeader"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the content model for a generic message header that is refined by its derived classes. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="messageId" type="MessageId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A unique identifier (within its coding scheme) assigned to the message by its creating party. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="MessageId"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type use for message identifiers.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="messageIdScheme" type="xsd:anyURI" use="required"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="NonCorrectableRequestMessage"> <xsd:annotation> <xsd:documentation> A type defining the content model for a request message that cannot be subsequently corrected or retracted. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="RequestMessage"> <xsd:sequence> <xsd:group minOccurs="0" ref="CorrelationAndSequence.model"/> <xsd:group minOccurs="0" ref="OnBehalfOf.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="NotificationMessage"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the basic content for a message sent to inform another system that some 'business event' has occured. Notifications are not expected to be replied to. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Message"> <xsd:sequence> <xsd:element minOccurs="0" name="header" type="NotificationMessageHeader"/> <xsd:group ref="Validation.model"/> <xsd:group minOccurs="0" ref="CorrelationAndOptionalSequence.model"/> <xsd:group minOccurs="0" ref="OnBehalfOf.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="NotificationMessageHeader"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that refines the generic message header to match the requirements of a NotificationMessage. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="MessageHeader"> <xsd:sequence> <xsd:element minOccurs="0" name="inReplyTo" type="MessageId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A copy of the unique message identifier (within it own coding scheme) to which this message is responding. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="MessageHeader.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PartyMessageInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining additional information that may be recorded against a message. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="partyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies that party that has ownership of this information. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <!-- Lyteck 9/15/11 moved PortfolioReference-related structures from fpml-confirmation-processes.xsd --> <xsd:complexType name="PortfolioReference"> <xsd:annotation> <xsd:documentation> A structure used to group together individual messages that can be acted on at a group level. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PortfolioReferenceBase"> <xsd:sequence> <xsd:element minOccurs="0" name="sequenceNumber" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation> A numeric, sequentially ascending (i.e. gapless) value (starting at 1) that can be used to identify and distinguish the individual constituents of a portfolio request. A recipient should ensure that all sequence numbers from 1 to the final sequence number (where submissionsComplete is true) have arrived before completing the portfolio request. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- 2011-10-05 BAL: set cardinality to optional for consistency with 5.2 --> <xsd:element minOccurs="0" name="submissionsComplete" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates whether all individual requests have been submitted for this portfolio request. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PortfolioConstituentReference"> <xsd:annotation> <xsd:documentation> A structure used to group together individual messages that can be acted on at a group level. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PortfolioReferenceBase"> <xsd:sequence> <xsd:element minOccurs="0" name="sequenceNumber" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation> A numeric, sequentially ascending (i.e. gapless) value (starting at 1) that can be used to identify and distinguish the individual constituents of a portfolio request. A recipient should ensure that all sequence numbers from 1 to the final sequence number (where submissionsComplete is true) have arrived before completing the portfolio request. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PortfolioReferenceBase"> <xsd:annotation> <xsd:documentation> A structure used to identify a portfolio in a message. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="portfolioName" type="PortfolioName"> <xsd:annotation> <xsd:documentation> An identifier that is unique for each portfolio-level request, and which can be used to group together the individual messages in the portfolio request. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:group name="PortfolioReference.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a model group that allows a portfolio reference request structure to be included in a message. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="portfolioReference" type="PortfolioReference"/> </xsd:sequence> </xsd:group> <xsd:group name="PortfolioConstituentReference.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a model group that allows a constituent of a portfolio to be included in a request retransmission message. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="portfolioReference" type="PortfolioConstituentReference"/> </xsd:sequence> </xsd:group> <xsd:group name="PortfolioReferenceBase.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a model group that allows a portfolio to be identified in a response message. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="portfolioReference" type="PortfolioReferenceBase"/> </xsd:sequence> </xsd:group> <xsd:group name="PortfolioReferenceOrReportIdentification.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a model group that allows either details of a portoflio constituent or report constituent to be provided. Typically this will be used in a request retransmission message. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:group ref="PortfolioConstituentReference.model"/> <xsd:group ref="ReportSectionIdentification.model"/> </xsd:choice> </xsd:group> <xsd:complexType name="ProblemLocation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Provides a lexical location (i.e. a line number and character for bad XML) or an XPath location (i.e. place to identify the bad location for valid XML). </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="xsd:normalizedString"> <xsd:attribute name="locationType" type="xsd:token"> <xsd:annotation> <xsd:documentation xml:lang="en"> The value of the locationType attribute defines which type of location has been given. It may take the values 'lexical' or 'xpath'. </xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="Reason"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a content model for describing the nature and possible location of a error within a previous message. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="reasonCode" type="ReasonCode"> <xsd:annotation> <xsd:documentation xml:lang="en">A machine interpretable error code.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="location" type="ProblemLocation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A value indicating the location of the problem within the subject message. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="description" type="xsd:string"> <xsd:annotation> <xsd:documentation xml:lang="en"> Plain English text describing the associated error condition </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="validationRuleId" type="Validation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A reference identifying a rule within a validation scheme </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalData" type="AdditionalData"> <xsd:annotation> <xsd:documentation xml:lang="en"> Any string of additional data that may help the message processor, for example in a rejection message this might contain a code value or the text of any one of the messages (within a CDATA section). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ReasonCode"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a list of machine interpretable error codes. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/reason-code" name="reasonCodeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="ReportIdentification"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that allows the specific report and section to be identified. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ReportSectionIdentification"> <xsd:sequence> <xsd:element minOccurs="0" name="numberOfSections" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation> A numeric value, optionally supplied by the sender, that can be used to specify the number of sections constituting a report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="submissionsComplete" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates whether all sections have been sent for this report instance ID. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ReportSectionIdentification"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that allows the specific report and section to be identified. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="reportId" type="ReportId"> <xsd:annotation> <xsd:documentation> An identifier for the specific instance of this report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="sectionNumber" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation> A strictly ascending sequential (gapless) numeric value that can be used to identify the section of a report. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ReportId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that can be used to hold an identifier for a report instance. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="reportIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="RequestEventStatus"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the content model for a message allowing one party to query the status of one event (trade or post-trade event) previously sent to another party. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="businessProcess" type="BusinessProcess"/> <xsd:element minOccurs="0" name="eventIdentifier" type="EventIdentifier"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="BusinessProcess"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that can be used to identify the type of business process in a request. Examples include Allocation, Clearing, Confirmation, etc. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/business-process" name="businessProcessScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType abstract="true" name="RequestMessage"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the basic content of a message that requests the receiver to perform some business operation determined by the message type and its content. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Message"> <xsd:sequence> <xsd:element minOccurs="0" name="header" type="RequestMessageHeader"/> <xsd:group ref="Validation.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="RequestMessageHeader"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type refining the generic message header content to make it specific to request messages. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="MessageHeader"> <xsd:sequence> <xsd:group ref="MessageHeader.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="RequestRetransmission"> <xsd:annotation> <xsd:documentation xml:lang="en"> A message to request that a message be retransmitted. The original message will typically be a component of a group of messages, such as a portfolio or a report in multiple parts. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:group ref="PortfolioReferenceOrReportIdentification.model"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="ResponseMessage"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type refining the generic message content model to make it specific to response messages. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Message"> <xsd:sequence> <xsd:element minOccurs="0" name="header" type="ResponseMessageHeader"/> <xsd:group ref="Validation.model"/> <xsd:group ref="CorrelationAndOptionalSequence.model"/> <xsd:group minOccurs="0" ref="OnBehalfOf.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ResponseMessageHeader"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type refining the generic message header to make it specific to response messages. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="MessageHeader"> <xsd:sequence> <xsd:element minOccurs="0" name="inReplyTo" type="MessageId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A copy of the unique message identifier (within it own coding scheme) to which this message is responding. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="MessageHeader.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:group name="Correlation.model"> <xsd:annotation> <xsd:documentation> A model group defining the elements used for process correlation. The correlation ID is used to link followup corrections and retractions to the original request, and to help identify which replies link to which requests. The parent correlation ID is used to keep track of the parent process. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="parentCorrelationId" type="CorrelationId"> <xsd:annotation> <xsd:documentation> An optional identifier used to correlate between related processes </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="CorrelationId.model"/> </xsd:sequence> </xsd:group> <xsd:group name="CorrelationId.model"> <xsd:annotation> <xsd:documentation> A model group defining the element used for process correlation. The correlation ID is used to link followup corrections and retractions to the original request, and to help identify which replies link to which requests. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="correlationId" type="CorrelationId"> <xsd:annotation> <xsd:documentation> A qualified identifier used to correlate between messages </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="CorrelationAndOptionalSequence.model"> <xsd:annotation> <xsd:documentation> A model group defining the full messsage correlation mechanism, but with optional sequence. Please note that for reports in Reporting view, usage of the correlation and sequence model is not well defined in the standard an may be deprecated from future versions of the standard. Use the ReportReference structure to identify report instances and section numbers if a report must be divided into chunks. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="Correlation.model"/> <xsd:group minOccurs="0" ref="Sequence.model"/> </xsd:sequence> </xsd:group> <xsd:group name="CorrelationAndSequence.model"> <xsd:annotation> <xsd:documentation> A model group defining the full messsage correlation mechanism. The correlation ID is used to link followup corrections and retractions to the original request, and to help identify which replies link to which requests. (The "inReplyTo" element may also be used for this purpose, but it contains a message identifier rather than a business object identifier.) The sequence ID is used to establish an ordering between multiple messages related to the same business object (identified by the same correlation identifier). It contains a value the must ascend (possibly with gaps) messages on the same correlation ID. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="Correlation.model"/> <xsd:group ref="Sequence.model"/> </xsd:sequence> </xsd:group> <xsd:group name="Exception.model"> <xsd:annotation> <xsd:documentation xml:lang="en">A model group which has exception elements.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="Reason"> <xsd:annotation> <xsd:documentation xml:lang="en"> An instance of the Reason type used to record the nature of any errors associated with a message. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="additionalData" type="AdditionalData"> <xsd:annotation> <xsd:documentation xml:lang="en"> Any string of additional data that may help the message processor, for example in a rejection message this might contain a code value or the text of the original request (within a CDATA section). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="MessageHeader.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the structure that contains routing and identification information, which allows processing and transfer of the message. It contains only messaging information that is applicable to all messages. If the information is not message related or is not applicable to all messages then it is not defined in the message header. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="sentBy" type="MessageAddress"> <xsd:annotation> <xsd:documentation xml:lang="en"> The unique identifier (within its coding scheme) for the originator of a message instance. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="sendTo" type="MessageAddress"> <xsd:annotation> <xsd:documentation xml:lang="en"> A unique identifier (within its coding scheme) indicating an intended recipent of a message. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="copyTo" type="MessageAddress"> <xsd:annotation> <xsd:documentation xml:lang="en"> A unique identifier (within the specified coding scheme) giving the details of some party to whom a copy of this message will be sent for reference. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="creationTimestamp" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date and time (on the source system) when this message instance was created. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="expiryTimestamp" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date and time (on the source system) when this message instance will be considered expired. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyMessageInformation" type="PartyMessageInformation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Additional message information that may be provided by each involved party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="dsig:Signature"/> </xsd:sequence> </xsd:group> <xsd:group name="ReportSectionIdentification.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines a model group that allows a chunck of a report to be included in a request retransmission message. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="reportIdentification" type="ReportSectionIdentification"/> </xsd:sequence> </xsd:group> <!-- moved OnBehalfOf to shared BAL 2011-03 for SDR reporting to allow data docs to use it --> <xsd:group name="Sequence.model"> <xsd:annotation> <xsd:documentation> A model group defining the element used for message sequencing </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="sequenceNumber" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation> A numeric value that can be used to order messages with the same correlation identifier from the same sender. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:annotation> <xsd:documentation xml:lang="en">Event Status messages.</xsd:documentation> </xsd:annotation> <xsd:element name="requestEventStatus" type="RequestEventStatus"/> <!-- requests the retransmission of a constituent of a portfolio or a section of a report --> <xsd:element name="requestRetransmission" type="RequestRetransmission"/> <xsd:element name="eventStatusResponse" type="EventStatusResponse"/> <xsd:element name="eventStatusException" type="Exception"/> <xsd:element name="messageRejected" type="Exception"> <xsd:annotation> <xsd:documentation> The root element used for rejected message exceptions </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.